#include <stdio.h>
#include <math.h>

/* Nota:
   Em alguns compiladores, para usar funções matemáticas é preciso, além do #include <math.h>
   acima, compilar o programa com a opção -lm ao final:
   
   gcc -o ex03 ex03.c -lm
*/

main() {
	float pi, r, area;
	pi = 3.141592;
	
	// Lê o valor do raio.
	printf("Informe o valor do raio:\n");
	scanf("%f", &r);
	
	// Calcula e imprime a área.
	area = pi * r * r;
	printf("A área do círculo de raio %f é de %f\n", r, area);
	
	// Calcula e imprime o raio do círculo que tem como área a metade da área calculada.
	area = area / 2;
	r = sqrt(area / pi);
	printf("O raio do círculo de área %f é %f\n", area, r);
}
